summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-08 17:07:38 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-08 17:07:38 +0000
commit96d3dd9f9f96c0956e50d4d2a9f1880697b8e945 (patch)
treef19f11878d6723188f9100284242d02127245b26 /jenkins
parent1c294a9576d6c1086e48253e776f6c42b2f2b690 (diff)
onsuccess: #789: 1: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | 0 | # build_abe glibc -- --disable install: | 1 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1200
-rw-r--r--jenkins/notify-init.log311
-rw-r--r--jenkins/run-build.env8
4 files changed, 1319 insertions, 202 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index fbf8020..061f72a 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#788-glibc-R1
+#789-glibc-R1
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index f1ce9cd..648e52e 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -9,8 +9,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-# setup_notify_environment
+ setup_notify_environment
+# setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -26,18 +26,18 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/787/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/787/'
-+ echo '# Using dir : base-artifacts'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/788/
# Using dir : base-artifacts
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/788/'
++ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/788/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/788/'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/
# Using dir : artifacts
-
+ echo '# Using dir : artifacts'
+
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
@@ -76,7 +76,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' xbf033c0072554366fe9617c283c982594059ad9d '!=' x091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e ']'
+++ '[' xf8cfb6836e8d91bb789b2e7fd65338d6f5bd459c '!=' xbf033c0072554366fe9617c283c982594059ad9d ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -89,17 +89,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=bf033c0072554366fe9617c283c982594059ad9d
++ first_bad=f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ last_good=bf033c0072554366fe9617c283c982594059ad9d
+ local res
+ res=0
-+ wait 63935
++ wait 57569
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -113,22 +113,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ base_rev=bf033c0072554366fe9617c283c982594059ad9d
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=bf033c0072554366fe9617c283c982594059ad9d
-++ git -C glibc rev-parse 'bf033c0072554366fe9617c283c982594059ad9d^@'
++ cur_rev=f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ git -C glibc rev-parse 'f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' f10ba2ab250b04e47868cfb888df22058436173d = 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e ']'
-+ return 1
-+ change_kind=single_component
++ '[' bf033c0072554366fe9617c283c982594059ad9d = bf033c0072554366fe9617c283c982594059ad9d ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
+ echo '# Debug traces :'
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -136,17 +136,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ base_rev=bf033c0072554366fe9617c283c982594059ad9d
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=bf033c0072554366fe9617c283c982594059ad9d
-++ git -C glibc rev-list --count 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e..bf033c0072554366fe9617c283c982594059ad9d
-+ c_commits=7
-# rev for glibc : 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e..bf033c0072554366fe9617c283c982594059ad9d (7 commits)
-+ echo '# rev for glibc : 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e..bf033c0072554366fe9617c283c982594059ad9d (7 commits)'
++ cur_rev=f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ git -C glibc rev-list --count bf033c0072554366fe9617c283c982594059ad9d..f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ c_commits=1
+# rev for glibc : bf033c0072554366fe9617c283c982594059ad9d..f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c (1 commits)
++ echo '# rev for glibc : bf033c0072554366fe9617c283c982594059ad9d..f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c (1 commits)'
+ echo ''
+ setup_stages_to_run
@@ -174,8 +174,261 @@
+ echo '# post_interesting_commits'
# post_interesting_commits
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 57649
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=de39939b8
+++ '[' 0 -ne 0 ']'
+++ echo de39939b8
++ sha1=de39939b8
++ git -C interesting-commits checkout --detach de39939b8
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 73848a379 Add entry f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 73848a379
+
+HEAD is now at de39939b8 Add entry f27246b009636aff4733ccfca1a42c3914d7d9c6 from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-thumb_m55_hard_eabi-build/187/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ jira_dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ jira_dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ subdir3=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build
++ subdir4=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build
+++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c ']'
++ mkdir -p interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/first_url
++ mkdir -p interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo bf033c0072554366fe9617c283c982594059ad9d
++ git -C interesting-commits add glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/'
+[detached HEAD 48883bd2b] Add entry f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/first_url
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/last_good
++ wait 69979
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
@@ -184,15 +437,578 @@
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_component '!=' xsingle_commit ']'
-+ return
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
+++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ isubdir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ '[' -f interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/first_url ']'
++ local first_url
+++ cat interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/first_url
++ first_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ '[' https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/ = https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/ ']'
++ first_icommit_to_report=true
+ post_interesting_commits full
+ set -euf -o pipefail
+ echo '# post_interesting_commits'
# post_interesting_commits
+ local stage=full
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 70049
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=de39939b8
+++ '[' 0 -ne 0 ']'
+++ echo de39939b8
++ sha1=de39939b8
++ git -C interesting-commits checkout --detach de39939b8
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 48883bd2b Add entry f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 48883bd2b
+
+HEAD is now at de39939b8 Add entry f27246b009636aff4733ccfca1a42c3914d7d9c6 from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-thumb_m55_hard_eabi-build/187/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ jira_dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ jira_dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira
++ '[' full = full ']'
++ false
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits full ''
++ echo '# update_interesting_commits'
++ local stage=full
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ subdir3=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build
++ subdir4=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build
+++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c ']'
++ mkdir -p interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/first_url
++ mkdir -p interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo bf033c0072554366fe9617c283c982594059ad9d
++ git -C interesting-commits add glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/last_good
++ '[' full '!=' full ']'
++ gnu_print_result --oneline
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
++ print_result --oneline
++ false
++ local print_arg=--oneline
++ case "$print_arg" in
++ '[' 0 = 0 ']'
++ echo Success
++ return 0
++ merge_status_summary interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/status-summary.txt
++ merge_status_summary interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/status-summary.txt
++ git -C interesting-commits add glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/status-summary.txt glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/status-summary.txt glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/status-summary.txt
++ gnu_print_result --long
++ false
++ local print_arg=--long
++ '[' -d artifacts/sumfiles ']'
++ print_result --long
++ false
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'Results changed to'
+++ cat artifacts/results
++ echo '# reset_artifacts:
+-10
+# init_abe_sysroot:
+0
+# build_abe glibc -- --disable install:
+1'
++ echo ''
++ echo From
+++ cat base-artifacts/results
++ echo '# reset_artifacts:
+-10
+# init_abe_sysroot:
+0
+# build_abe glibc -- --disable install:
+1'
++ return 0
++ cat interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/status-summary.txt
++ sed 's/^/* /'
++ print_icommits_link glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/details.txt
++ set -euf -o pipefail
++ local path=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/details.txt
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/details.txt
++ cat interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/build_url
++ git -C interesting-commits add glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/details.txt glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/status.txt
++ '[' -f interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/summary.txt ']'
++ local bad_artifacts_url good_artifacts_url
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/artifact/artifacts
+++ get_baseline_manifest BUILD_URL
+++ get_manifest base-artifacts/manifest.sh BUILD_URL false
+++ set +x
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/788/artifact/artifacts
++ cat
++ git -C interesting-commits add glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
++ local ci_config
++ read ci_config
+++ cd interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build
+++ ls
++ '[' -f interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/status.txt ']'
++ echo '* master-aarch64'
++ cat interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/status.txt
++ sed 's/^/*/'
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/status-summary.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/status-summary.txt/status.txt ']'
++ continue
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/status.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/status.txt/status.txt ']'
++ continue
++ read ci_config
++ git -C interesting-commits add glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/status.txt
++ local ci_project
++ read ci_project
+++ cd interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ ls
++ '[' -f interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/first_url/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/status-summary.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/status.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/status.txt ']'
++ echo '* tcwg_glibc_build'
++ cat interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/status.txt
++ sed 's/^/*/'
++ read ci_project
++ git -C interesting-commits add glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/status.txt
++ print_commits --short
++ set -euf -o pipefail
++ false
++ local print_arg=--short
++ '[' single_commit = no_change ']'
++ local more_lines
++ '[' single_commit = single_commit ']'
++ local c=glibc
++ '[' --short = --link ']'
++ local describe
++ '[' '' = '' ']'
+++ describe_sha1 glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c true
+++ local component=glibc
+++ local sha1=f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ describe=glibc-2.38.9000-243-gf8cfb6836e
+++ echo glibc-2.38.9000-243-gf8cfb6836e
+++ sed 's,^basepoints/,,'
++ describe=glibc-2.38.9000-243-gf8cfb6836e
++ '[' --short = --oneline ']'
++ '[' '' = '' ']'
++ echo 'commit glibc-2.38.9000-243-gf8cfb6836e'
++ local tmpfile
+++ mktemp
++ tmpfile=/tmp/tmp.FKK1ePftBQ
++ git -C glibc log -n1 f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ tail -n +2
++ head -n 10 /tmp/tmp.FKK1ePftBQ
+++ cat /tmp/tmp.FKK1ePftBQ
+++ wc -l
++ more_lines=3
++ '[' 3 -gt 0 ']'
++ echo '... 3 lines of the commit log omitted.'
++ rm /tmp/tmp.FKK1ePftBQ
++ '[' '' '!=' '' ']'
++ return 0
++ git -C interesting-commits add glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/commit-log.txt
++ true
++ local jira_dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira
++ '[' -f interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/key ']'
++ '[' -e interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira ']'
++ mkdir interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira
++ '[' '' '!=' '' ']'
+++ print_commits --oneline
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--oneline
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c true
++++ local component=glibc
++++ local sha1=f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ describe=glibc-2.38.9000-243-gf8cfb6836e
++++ echo glibc-2.38.9000-243-gf8cfb6836e
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-243-gf8cfb6836e
+++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-243-gf8cfb6836e
+++ return 0
+++ cat interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/status-summary.txt
++ echo glibc-2.38.9000-243-gf8cfb6836e: Success
++ git -C interesting-commits add glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/summary
++ cat
+++ cat interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/commit-log.txt
+++ cat interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/status.txt
+++ print_icommits_link glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/yaml
+++ set -euf -o pipefail
+++ local path=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/yaml
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/yaml
++ git -C interesting-commits add glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/description
++ update_jira_card
++ set -euf -o pipefail
++ echo '# update_jira_card'
+# update_jira_card
++ local jira_dir
+++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ jira_dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ jira_dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira
++ components=()
++ local -a components
++ case "$changed_single_component" in
++ components+=(Glibc)
++ IFS=,
++ echo Glibc
++ git -C interesting-commits add glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/components
++ local commit_date
+++ git -C glibc log -n1 --pretty=%cd --date=iso f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ commit_date='2023-11-08 15:18:02 +0100'
++ date -d '2023-11-08 15:18:02 +0100' +%Y-%m-%d
++ git -C interesting-commits add glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/startdate
++ local key project
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ jira_dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ jira_dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira
+++ '[' -f interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
++ echo 'WARNING: no existing jira card interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/key'
+WARNING: no existing jira card interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/key
++ return 0
++ local describe
+++ describe_sha1 glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c false
+++ local component=glibc
+++ local sha1=f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ local anything=false
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ describe=glibc-2.38.9000-243-gf8cfb6836e
++ '[' glibc-2.38.9000-243-gf8cfb6836e '!=' '' ']'
++ local d
+++ dirname glibc-2.38.9000-243-gf8cfb6836e
++ d=.
++ mkdir -p interesting-commits/glibc/.
++ local symlink=
++ '[' . '!=' . ']'
++ symlink=sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ rm -f interesting-commits/glibc/glibc-2.38.9000-243-gf8cfb6836e
++ ln -s sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c interesting-commits/glibc/glibc-2.38.9000-243-gf8cfb6836e
++ git -C interesting-commits add glibc/glibc-2.38.9000-243-gf8cfb6836e
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/'
+[detached HEAD 264ebaf6b] Add entry f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/
+ 17 files changed, 84 insertions(+)
+ create mode 120000 glibc/glibc-2.38.9000-243-gf8cfb6836e
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/commit-log.txt
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/first_url
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/components
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/description
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/startdate
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/summary
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/status-summary.txt
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/status.txt
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/details.txt
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/last_good
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/status-summary.txt
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/status.txt
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/status-summary.txt
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/status.txt
++ wait 82696
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -202,11 +1018,23 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_component '!=' xsingle_commit ']'
-++ return 0
-+ icommit_entry=
-+ '[' '' '!=' '' ']'
-+ mkdir -p artifacts/notify/jira
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ isubdir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ case "$print_arg" in
+++ echo interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ icommit_entry=interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ '[' interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c '!=' '' ']'
++ '[' -d interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira ']'
++ rsync -a interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/ artifacts/notify/jira/
++ '[' -f artifacts/notify/jira/key ']'
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -230,11 +1058,11 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/788/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/788/artifact/artifacts/notify/mail-body.txt/*view*/'
-+ echo '# print all notification files'
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
++ echo '# print all notification files'
+ true
+ generate_mail_files
+ set -euf -o pipefail
@@ -255,27 +1083,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ base_rev=bf033c0072554366fe9617c283c982594059ad9d
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=bf033c0072554366fe9617c283c982594059ad9d
-+ read -r email
-++ git -C glibc log --pretty=%ae 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e..bf033c0072554366fe9617c283c982594059ad9d
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
++ cur_rev=f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+ read -r email
+++ git -C glibc log --pretty=%ae bf033c0072554366fe9617c283c982594059ad9d..f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -286,27 +1102,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ base_rev=bf033c0072554366fe9617c283c982594059ad9d
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=bf033c0072554366fe9617c283c982594059ad9d
-+ read -r email
-++ git -C glibc log --pretty=%ce 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e..bf033c0072554366fe9617c283c982594059ad9d
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
++ cur_rev=f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+ read -r email
+++ git -C glibc log --pretty=%ce bf033c0072554366fe9617c283c982594059ad9d..f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -320,52 +1124,42 @@
+ case "$type" in
+ recipients+=("$type:$email")
+ for email in "${!emails[@]}"
-+ type=bcc
++ type=to
+ case "$precommit_postcommit:$type" in
+ case "$type" in
-+ recipients+=("$type:$email")
++ recipients+=("$email")
+ for email in "${!emails[@]}"
-+ type=to
++ type=bcc
+ case "$precommit_postcommit:$type" in
+ case "$type" in
-+ recipients+=("$email")
++ recipients+=("$type:$email")
+ IFS=,
-+ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,adhemerval.zanella@linaro.org
++ echo cc:linaro-toolchain@lists.linaro.org,fweimer@redhat.com,bcc:tcwg-validation@linaro.org
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=bf033c0072554366fe9617c283c982594059ad9d
-+++ git -C glibc rev-list --count 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e..bf033c0072554366fe9617c283c982594059ad9d
-++ c_commits=7
-++ new_commits=7
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '7 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c true
++++ local component=glibc
++++ local sha1=f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ describe=glibc-2.38.9000-243-gf8cfb6836e
++++ echo glibc-2.38.9000-243-gf8cfb6836e
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-243-gf8cfb6836e
++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-243-gf8cfb6836e
++ return 0
++ gnu_print_result --oneline
++ false
@@ -380,7 +1174,7 @@
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_build master-aarch64
++ local project=tcwg_glibc_build
@@ -402,21 +1196,21 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo aarch64
-+ echo '[Linaro-TCWG-CI]' '7 commits in glibc: Success on aarch64'
++ echo '[Linaro-TCWG-CI]' 'glibc-2.38.9000-243-gf8cfb6836e: Success on aarch64'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/788/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/787/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/788/artifact/artifacts
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_build master-aarch64
++ local project=tcwg_glibc_build
@@ -438,57 +1232,40 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=bf033c0072554366fe9617c283c982594059ad9d
-+++ git -C glibc rev-list --count 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e..bf033c0072554366fe9617c283c982594059ad9d
-++ c_commits=7
-++ new_commits=7
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '7 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --short = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c true
++++ local component=glibc
++++ local sha1=f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ describe=glibc-2.38.9000-243-gf8cfb6836e
++++ echo glibc-2.38.9000-243-gf8cfb6836e
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-243-gf8cfb6836e
++ '[' --short = --oneline ']'
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=bf033c0072554366fe9617c283c982594059ad9d
-+++ git -C glibc rev-list --count 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e..bf033c0072554366fe9617c283c982594059ad9d
-++ c_commits=7
-++ '[' '' '!=' '' ']'
-++ git -C glibc log -n 5 --oneline 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e..bf033c0072554366fe9617c283c982594059ad9d
-++ '[' 7 -gt 5 ']'
-++ echo '... and 2 more commits in glibc'
+++ '[' '' = '' ']'
+++ echo 'commit glibc-2.38.9000-243-gf8cfb6836e'
+++ local tmpfile
++++ mktemp
+++ tmpfile=/tmp/tmp.JaekhD5kTU
+++ git -C glibc log -n1 f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ tail -n +2
+++ head -n 10 /tmp/tmp.JaekhD5kTU
++++ cat /tmp/tmp.JaekhD5kTU
++++ wc -l
+++ more_lines=3
+++ '[' 3 -gt 0 ']'
+++ echo '... 3 lines of the commit log omitted.'
+++ rm /tmp/tmp.JaekhD5kTU
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -519,7 +1296,7 @@
++ return 0
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_build master-aarch64
++ local project=tcwg_glibc_build
@@ -540,38 +1317,123 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_build/master-aarch64'
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ '[' '' '!=' '' ']'
++ local key
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ jira_dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ jira_dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira
+++ '[' -f interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
+++ print_jira_template_card
+++ local jira_card=GNU-692
+++ case "$ci_project/$ci_config:$changed_single_component" in
+++ echo GNU-692
++ key=GNU-692
++ cat
+++ print_last_icommit --reproduction_instructions_link tcwg_glibc_build master-aarch64
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--reproduction_instructions_link
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c tcwg_glibc_build master-aarch64
++++ local dir=glibc/sha1
++++ '[' 4 -ge 2 ']'
++++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++++ '[' 4 -ge 3 ']'
++++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build
++++ '[' 4 -ge 4 ']'
++++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64
++++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64
+++ isubdir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64
+++ case "$print_arg" in
+++ print_icommits_link glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ set -euf -o pipefail
+++ local path=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git glibc_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_url
+++ url=git://sourceware.org/git/glibc.git
+++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
+++ url=glibc.git
+++ url='https://sourceware.org/git/?p=glibc.git'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c'
+++ return 0
+++ print_last_icommit --status
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--status
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ isubdir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ case "$print_arg" in
+++ cat interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/status.txt
# generate dashboard
+# generate_dashboard_squad
+... Skipping
+ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
-# generate_dashboard_squad
+ echo '# generate_dashboard_squad'
-... Skipping
+ false
+ echo '... Skipping'
+ return
-+ post_dashboard_squad
-+ echo '# post_dashboard_squad'
# post_dashboard_squad
... Skipping
++ post_dashboard_squad
++ echo '# post_dashboard_squad'
+ false
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 64079
++ wait 82819
+ set -euf -o pipefail
+ echo '# generate_lnt_report'
# generate_lnt_report
+ true
+ case "$ci_project" in
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/lnt-utils.sh
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/788/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/788/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/
+ local ci_project=tcwg_glibc_build
+ local ci_config=master-aarch64
+ local sumfiles_dir=artifacts/sumfiles
@@ -585,8 +1447,8 @@ find: ‘artifacts/sumfiles’: No such file or directory
+ false
+ post_to_jira
+ set -euf -o pipefail
-# post_to_jira
+ echo '# post_to_jira'
+# post_to_jira
+ local post_card_comment=false
+ local post_template_comment=false
+ false
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 1519aff..f357cd7 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_6/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -9,8 +9,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-# setup_notify_environment
+ setup_notify_environment
+# setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -20,23 +20,23 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
-# Debug traces :
+ ci_config=master-aarch64
+# Debug traces :
+ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/787/
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/788/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/788/'
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/787/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/788/
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/788/'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -76,7 +76,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' xbf033c0072554366fe9617c283c982594059ad9d '!=' x091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e ']'
+++ '[' xf8cfb6836e8d91bb789b2e7fd65338d6f5bd459c '!=' xbf033c0072554366fe9617c283c982594059ad9d ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -89,17 +89,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=bf033c0072554366fe9617c283c982594059ad9d
++ first_bad=f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ last_good=bf033c0072554366fe9617c283c982594059ad9d
+ local res
+ res=0
-+ wait 63822
++ wait 45066
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -113,22 +113,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ base_rev=bf033c0072554366fe9617c283c982594059ad9d
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=bf033c0072554366fe9617c283c982594059ad9d
-++ git -C glibc rev-parse 'bf033c0072554366fe9617c283c982594059ad9d^@'
++ cur_rev=f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ git -C glibc rev-parse 'f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' f10ba2ab250b04e47868cfb888df22058436173d = 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e ']'
-+ return 1
-+ change_kind=single_component
++ '[' bf033c0072554366fe9617c283c982594059ad9d = bf033c0072554366fe9617c283c982594059ad9d ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
+ echo '# Debug traces :'
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -136,18 +136,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
++ base_rev=bf033c0072554366fe9617c283c982594059ad9d
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=bf033c0072554366fe9617c283c982594059ad9d
-++ git -C glibc rev-list --count 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e..bf033c0072554366fe9617c283c982594059ad9d
-+ c_commits=7
-# rev for glibc : 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e..bf033c0072554366fe9617c283c982594059ad9d (7 commits)
++ cur_rev=f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ git -C glibc rev-list --count bf033c0072554366fe9617c283c982594059ad9d..f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ c_commits=1
+# rev for glibc : bf033c0072554366fe9617c283c982594059ad9d..f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c (1 commits)
-+ echo '# rev for glibc : 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e..bf033c0072554366fe9617c283c982594059ad9d (7 commits)'
++ echo '# rev for glibc : bf033c0072554366fe9617c283c982594059ad9d..f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -171,12 +171,267 @@
+ print_config_f=gnu_print_config
+ post_interesting_commits init
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
++ local stage=init
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 45146
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=de39939b8
+++ '[' 0 -ne 0 ']'
+++ echo de39939b8
++ sha1=de39939b8
++ git -C interesting-commits checkout --detach de39939b8
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 71b536dcf Add entry a3f007ea284e971e5472b8ec4f90be3711a2aa4c from https://ci.linaro.org/job/tcwg_binutils_check--master-arm-build/425/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 71b536dcf
+
+HEAD is now at de39939b8 Add entry f27246b009636aff4733ccfca1a42c3914d7d9c6 from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-thumb_m55_hard_eabi-build/187/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ jira_dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ jira_dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+From ssh://review.linaro.org:29418/toolchain/ci/interesting-commits
+ b48daa405..de39939b8 master -> baseline/master
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ subdir3=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build
++ subdir4=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build
+++ interesting_subdir glibc f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c ']'
++ mkdir -p interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/first_url
++ mkdir -p interesting-commits/glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo bf033c0072554366fe9617c283c982594059ad9d
++ git -C interesting-commits add glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/'
+[detached HEAD 73848a379] Add entry f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/789/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/first_url
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c/tcwg_glibc_build/master-aarch64/last_good
++ wait 57478
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+Init stage ran successfully.
+ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
-Init stage ran successfully.
+ exit 0
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index a583940..1e6c75a 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,15 +1,15 @@
-build_name="#788"
+build_name="#789"
docker_opts=(--distro
default
--arch
arm64
--node
-tcwg-snow-02
+tcwg-jade-05
--security
'' )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#788-glibc"
+build_name="#789-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#788-glibc-R1"
+build_name="#789-glibc-R1"